package com.qmth.teachcloud.mark.dto.mark.setting;

import com.qmth.teachcloud.common.bean.dto.mark.MarkUser;
import com.qmth.teachcloud.common.bean.dto.mark.PictureConfig;
import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.mark.enums.ScorePolicy;

import java.util.List;

public class MarkGroupDto {

    private Boolean doubleEnable;
    private Integer groupNumber;
    private Double doubleRate;
    private Double arbitrateThreshold;
    private ScorePolicy scorePolicy;
    private List<MarkUser> markers;
    private List<PictureConfig> pictureConfigs;
    private List<MarkQuestion> questions;
    private String groupQuestions;

    public Boolean getDoubleEnable() {
        return doubleEnable;
    }

    public void setDoubleEnable(Boolean doubleEnable) {
        this.doubleEnable = doubleEnable;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public ScorePolicy getScorePolicy() {
        return scorePolicy;
    }

    public void setScorePolicy(ScorePolicy scorePolicy) {
        this.scorePolicy = scorePolicy;
    }

    public List<MarkUser> getMarkers() {
        return markers;
    }

    public void setMarkers(List<MarkUser> markers) {
        this.markers = markers;
    }

    public List<PictureConfig> getPictureConfigs() {
        return pictureConfigs;
    }

    public void setPictureConfigs(List<PictureConfig> pictureConfigs) {
        this.pictureConfigs = pictureConfigs;
    }

    public List<MarkQuestion> getQuestions() {
        return questions;
    }

    public void setQuestions(List<MarkQuestion> questions) {
        this.questions = questions;
    }

    public String getGroupQuestions() {
        return groupQuestions;
    }

    public void setGroupQuestions(String groupQuestions) {
        this.groupQuestions = groupQuestions;
    }
}
